Halide 22.0.0 Halide compiler and libraries

Public Member Functions | List of all members
Halide::Internal::Elf::Relocation Class Reference

Describes a relocation to be applied to an offset of a section in an Object. More...

`#include <Elf.h>`

## Public Member Functions
| Relocation ()=default
| Relocation (uint32_t type, uint64_t offset, int64_t addend, const Symbol *symbol)
Relocation & | set_type (uint32_t type)
| The type of relocation to be applied. More...
uint32_t | get_type () const
| The type of relocation to be applied. More...
Relocation & | set_offset (uint64_t offset)
| Where to apply the relocation. More...
uint64_t | get_offset () const
| Where to apply the relocation. More...
Relocation & | set_symbol (const Symbol *symbol)
| The value to replace with the relocation is the address of the symbol plus the addend. More...
Relocation & | set_addend (int64_t addend)
| The value to replace with the relocation is the address of the symbol plus the addend. More...
const Symbol * | get_symbol () const
| The value to replace with the relocation is the address of the symbol plus the addend. More...
int64_t | get_addend () const
| The value to replace with the relocation is the address of the symbol plus the addend. More...

## Detailed Description

Describes a relocation to be applied to an offset of a section in an Object.

Definition at line 158 of file Elf.h.

## Constructor & Destructor Documentation

## ◆ Relocation() [1/2]

Halide::Internal::Elf::Relocation::Relocation | ( |  | ) |
| default

## ◆ Relocation() [2/2]

Halide::Internal::Elf::Relocation::Relocation | ( | uint32_t | type,
|  | uint64_t | offset,
|  | int64_t | addend,
|  | const Symbol * | symbol
| ) |  |
| inline

Definition at line 166 of file Elf.h.

## Member Function Documentation

## ◆ set_type()

Relocation & Halide::Internal::Elf::Relocation::set_type | ( | uint32_t | type | ) |
| inline

The type of relocation to be applied.

The meaning of this value depends on the machine of the object.

Definition at line 173 of file Elf.h.

## ◆ get_type()

uint32_t Halide::Internal::Elf::Relocation::get_type | ( |  | ) | const
| inline

The type of relocation to be applied.

The meaning of this value depends on the machine of the object.

Definition at line 177 of file Elf.h.

## ◆ set_offset()

Relocation & Halide::Internal::Elf::Relocation::set_offset | ( | uint64_t | offset | ) |
| inline

Where to apply the relocation.

This is relative to the section the relocation belongs to.

Definition at line 185 of file Elf.h.

## ◆ get_offset()

uint64_t Halide::Internal::Elf::Relocation::get_offset | ( |  | ) | const
| inline

Where to apply the relocation.

This is relative to the section the relocation belongs to.

Definition at line 189 of file Elf.h.

## ◆ set_symbol()

Relocation & Halide::Internal::Elf::Relocation::set_symbol | ( | const Symbol * | symbol | ) |
| inline

The value to replace with the relocation is the address of the symbol plus the addend.

Definition at line 196 of file Elf.h.

## ◆ set_addend()

Relocation & Halide::Internal::Elf::Relocation::set_addend | ( | int64_t | addend | ) |
| inline

The value to replace with the relocation is the address of the symbol plus the addend.

Definition at line 200 of file Elf.h.

## ◆ get_symbol()

const Symbol * Halide::Internal::Elf::Relocation::get_symbol | ( |  | ) | const
| inline

The value to replace with the relocation is the address of the symbol plus the addend.

Definition at line 204 of file Elf.h.

## ◆ get_addend()

int64_t Halide::Internal::Elf::Relocation::get_addend | ( |  | ) | const
| inline

The value to replace with the relocation is the address of the symbol plus the addend.

Definition at line 207 of file Elf.h.

The documentation for this class was generated from the following file:

- src/Elf.h